Subject: Re: bug#40097: 28.0.50; Preferred font ignored for specific charset

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Mar 2020 18:35:05 +0200

> From: Sergey Organov <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 17 Mar 2020 19:12:33 +0300
> 
> > Can you show all the fonts on your system that have microsoft-cp1251
> > as their registry/encoding?  AFAIK, this is done with xlsfonts.
> 
> Sure:

So there's a single font, Terminus, which supports that charset.  I
think you can work around this problem locally by adding that font to
face-ignored-fonts.

We could perhaps introduce a customizable variable that would allow
users who want that to disable the preference of charset-supporting
fonts when the text has the 'charset' property.  CC'ing Handa-san who
could comment on how important is this feature nowadays.